Bug 72643 - package can not be build from sources
package can not be build from sources
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kde1-compat (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
package can not be build from sources...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-26 06:22 EDT by Need Real Name
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-27 13:51:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-08-26 06:22:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
I've tried to build package but I receive error with the next 
message "/usr/bin/msgfmt: found 1 fatal error". Version of msgfmt fails with 
zh_CN.GB2312.po file from  kde1-compat. 
I give you the according text from output:

/usr/bin/msgfmt -o zh_CN.GB2312.gmo zh_CN.GB2312.po
/usr/bin/msgfmt: zh_CN.GB2312.po: warning: Charset missing in header.
                                           Message conversion to user's charset 
will not work.
zh_CN.GB2312.po:1192: duplicate message definition
zh_CN.GB2312.po:460: ...this is the location of the first definition
/usr/bin/msgfmt: found 1 fatal error
make[2]: *** [zh_CN.GB2312.gmo] Error 1


Version of msgfmt from Red Hat 7.2 works with file "zh_CN.GB2312.po" from  kde1-
compat without severe errors.  
 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Unpack kde1-compat-1~2-11.src.rpm to some local dir
2.Prepare sources (rpm -bp kde1-compat.spec)
3.cd to BUILD/kdelibs/po directory
4./usr/bin/msgfmt zh_CN.GB2312.po


	

Actual Results:  I receive the following diagnostics about error:

/usr/bin/msgfmt: zh_CN.GB2312.po: warning: Charset missing in header.
                                           Message conversion to user's charset 
will not work.
zh_CN.GB2312.po:1192: duplicate message definition
zh_CN.GB2312.po:460: ...this is the location of the first definition
/usr/bin/msgfmt: found 1 fatal error


Additional info:
Comment 1 Miloslav Trmač 2004-09-27 13:51:31 EDT
Thanks for the bug report. However, Red Hat no longer maintains this
version of the product.  kde1-compat is also not shipped with any
current product.

Note You need to log in before you can comment on or make changes to this bug.